Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
hugo75

Text trong Dim?

Các bài được khuyến nghị

hugo75    4

Lúc trước mình thấy có người làm khi dim kích thước đoạn thẳng xong dung ED nhấn vào chỗ kích thước họ thêm vào gì đó thì tự động nhảy thêm hàng dưới text kích thước và đoạn dim.Mong mọi người chỉ giúp.Thanks.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.649

\P hoặc \X hoặc xuống dòng như bình thường tùy phiên bản CAD bạn dùng

Chú ý text trong Dim là Mtext, nên nó còn nhận một số mã khác.

Hiện nay việc sửa text trong Dim cũng được CAD cải tiến hơn

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
lenhatanh    2

Bạn có thể viết một đoạn code thể hiện \p hoặc \x được không ? mình đang vướng chỗ này.

(defun c:dii ()
  (setq i 1)
  (while
    (setq ee (car (entsel "\n Chon Doi tuong: ")))
    (setq di (cdr (assoc 10 (entget ee))))
    (setq tbl (strcat "Block " (rtos i 2 0)))
    (command "_Dimaligned" "L" "M" "" tbl di)
    (setq i (+ i 1))
  )
  (princ)
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tot77    501

Có 2 cách:

1. Dùng nentsel nhấp ngay vào text dim.

2. Tạo một hàm để tìm Mtext trong Dim, vì dim cũng là dynamic block nên có nhiều thành phần.

Code như sau:

 

(defun c:tmp()
  (setq mtxt (car (nentsel "\nChon Text Dim:"))
txt (strcat (cdr (assoc 1 (entget mtxt))) "\\PBlaBla"))
  (entmod (subst (cons 1 txt) (assoc 1 (entget mtxt)) (entget mtxt)))
  (vl-cmdf "regen")
  (princ)
)
 
(defun c:tmp1()
  (defun GeD(v / l en)
    (setq l nil)
    (vlax-for item (vla-item (vla-get-blocks (vla-get-ActiveDocument (vlax-get-acad-object)))
    (cdr (assoc 2 (entget v))))
      (if (= "MTEXT" (cdr (assoc 0 (entget (setq en (vlax-vla-object->ename item))))))
(setq l en))
    ) l
  )
  
  (setq mtxt (Ged (car (entsel "\nChon Dim:")))
txt (strcat (cdr (assoc 1 (entget mtxt))) "\\PBlaBla"))
  (entmod (subst (cons 1 txt) (assoc 1 (entget mtxt)) (entget mtxt)))
  (vl-cmdf "regen")
  (princ)
)
  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×